| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# DOMImplementationRegistry Class Reference

This class holds the list of registered DOMImplementations. More...

List of all members.

## Static Public Member Functions

Functions introduced in DOM Level 3
static DOMImplementation * | getDOMImplementation (const XMLCh *features)
| Return the first registered implementation that has the desired features, or null if none is found.
static void | addSource (DOMImplementationSource *source)
| Register an implementation.

## Detailed Description

This class holds the list of registered DOMImplementations.

Implementation or application can register DOMImplementationSource to the registry, and then can query DOMImplementation based on a list of requested features.

This provides an application with an implementation independent starting point.

See also:
  DOMImplementation

  DOMImplementationSource

Since:
  DOM Level 3

## Member Function Documentation

static void DOMImplementationRegistry::addSource | ( | DOMImplementationSource * | source | ) | `[static]`

Register an implementation.

"Experimental - subject to change"

Parameters:

  | source | A DOMImplementation Source object to be added to the registry. The registry does NOT adopt the source object. Users still own it.

Since:
  DOM Level 3

static DOMImplementation* DOMImplementationRegistry::getDOMImplementation | ( | const XMLCh * | features | ) | `[static]`

Return the first registered implementation that has the desired features, or null if none is found.

"Experimental - subject to change"

Parameters:

  | features | A string that specifies which features are required. This is a space separated list in which each feature is specified by its name optionally followed by a space and a version number. This is something like: "XML 1.0 Traversal 2.0"

Returns:
  An implementation that has the desired features, or `null` if this source has none.

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMImplementationRegistry.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.